# Getting a financial transaction

Endpoint: GET /finance_transactions/{location_id}/{transaction_id}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    location ID

  - `transaction_id` (number, required)
    transaction ID

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of objects with data

  - `data.id` (number)
    Transaction ID

  - `data.document_id` (number)
    Document ID

  - `data.expense` (object)
    Payment type

  - `data.expense.id` (number)
    Payment type ID

  - `data.expense.title` (string)
    Payment type name

  - `data.date` (string)
    Transaction creation date

  - `data.amount` (number)
    Transaction amount

  - `data.comment` (string)
    A comment

  - `data.master` (object)
    Team Member

  - `data.master.id` (number)
    team member ID

  - `data.master.title` (string)
    team member name

  - `data.supplier` (object)
    counterparty

  - `data.supplier.id` (number)
    Supplier ID

  - `data.supplier.title` (string)
    Counterparty name

  - `data.account` (object)
    Location account

  - `data.account.id` (number)
    Checkout ID

  - `data.account.title` (string)
    Location account name

  - `data.client` (object)
    Customer

  - `data.client.id` (number)
    Client ID

  - `data.client.name` (string)
    Client name

  - `data.client.phone` (string)
    Customer phone

  - `data.last_change_date` (string)
    Last modified date

  - `data.record_id` (number)
    Appointment ID

  - `data.visit_id` (number)
    Visit ID

  - `data.sold_item_id` (number)
    Identifier of the sold product/service

  - `data.sold_item_type` (number)
    Sale entity type (product/service)

  - `meta` (array)
    Metadata (empty array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

